API reference
Channel status
GET
/api/v1/kanallarReturns the stock/price sync status of your connected channels.
Example request
curl "https://panel.bulutegra.com/api/v1/kanallar" \
-H "Authorization: Bearer $BULUTEGRA_ANAHTAR"import os, requests
r = requests.get(
"https://panel.bulutegra.com/api/v1/kanallar",
headers={"Authorization": "Bearer " + os.environ["BULUTEGRA_ANAHTAR"]},
timeout=30,
)
r.raise_for_status()
print(r.json())const r = await fetch("https://panel.bulutegra.com/api/v1/kanallar", {
headers: { Authorization: `Bearer ${process.env.BULUTEGRA_ANAHTAR}` },
});
if (!r.ok) throw new Error(`HTTP ${r.status}`);
console.log(await r.json());<?php
$ch = curl_init("https://panel.bulutegra.com/api/v1/kanallar");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["Authorization: Bearer " . getenv("BULUTEGRA_ANAHTAR")],
]);
$veri = json_decode(curl_exec($ch), true);Response
{
"kanallar": [
{
"kanal": "trendyol",
"kanal_ad": "Trendyol",
"durum": "ok",
"son_gonderim": "2026-10-07 11:46:11",
"gonderim_24s": 190
}
],
"zaman": "2026-10-07 11:50"
}Fields
| Field | Type | Description |
|---|---|---|
kanal, kanal_ad | string | Channel |
durum | string | ok or a short problem label |
son_gonderim | string | Last successful sync |
gonderim_24s | integer | Syncs in the last 24 hours |
Last updated: 2026-10-07